import { EventEmitter } from '@angular/core';
import { CardData, CardDataViewComponent, DataViewComponent, IDataFilter } from 'verben-ng-ui';
import { Workflow } from '../../models/Workflow';
import * as i0 from "@angular/core";
export declare class WorkflowComponent {
    cardDataView: CardDataViewComponent;
    dataView: DataViewComponent;
    itemClicked: EventEmitter<any>;
    data: Workflow[];
    styles: any;
    currentData: CardData | null;
    isGridView: boolean;
    selected: CardData | null;
    showSidebar: boolean;
    columns: import("verben-ng-ui").ColumnDefinition<Workflow>[];
    cardData: CardData[];
    openDetailView(mailAddress: string): void;
    getCardDataByMailAddress(mailAddress: string): CardData | undefined;
    onViewChange(isGridView: boolean): void;
    openFormView(index: number): void;
    handleExport(exportedData: Partial<any>[]): void;
    handleClick(item: any): void;
    handleConfig(item: any): void;
    /**
     *
     * @param data Simple csv export for testing
     */
    private downloadCSV;
    onSelectionChange(selectedRows: Workflow[]): void;
    /**
     * Copied over from card view doc until I understand usage
     */
    selectedColumnCount: number;
    selectedFilterTableCount: number;
    isOPen: boolean;
    selectedSortCount: number;
    showColumn: boolean;
    showSort: boolean;
    selectedAll: boolean;
    nestedbgcolor: string;
    visibleColumns: IDataFilter[];
    filterArray: IDataFilter[];
    sortOptions: IDataFilter[];
    clearData(): void;
    loadMore(): void;
    onColumnChange(event: boolean): void;
    onSortChange(event: boolean): void;
    onColumnsUpdated(updatedColumns: IDataFilter[]): void;
    onSortUpdated(updatedSorts: IDataFilter[]): void;
    onStateChange(event: {
        key: string;
        value: boolean;
    }): void;
    getRowStatus(type: string): "" | "bg-[#EBF9F1] text-[#1F9254]" | "bg-[#FBE7E8] text-[#A30D11]";
    static ɵfac: i0.ɵɵFactoryDeclaration<WorkflowComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<WorkflowComponent, "verben-workflow", never, {}, { "itemClicked": "itemClicked"; }, never, never, false, never>;
}
